BoundsMap (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.commons.beans

## Class BoundsMap

- java.lang.Object
- - org.gcube.portlets.user.gisviewer.client.commons.beans.BoundsMap

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class BoundsMap
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundsMap()`
    `BoundsMap(double lowerLeftX, double lowerLeftY, double upperRightX, double upperRightY, String crs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCrs()`
    `double` | `getLowerLeftX()`
    `double` | `getLowerLeftY()`
    `double` | `getUpperRightX()`
    `double` | `getUpperRightY()`
    `void` | `setCrs(String crs)`
    `void` | `setLowerLeftX(double lowerLeftX)`
    `void` | `setLowerLeftY(double lowerLeftY)`
    `void` | `setUpperRightX(double upperRightX)`
    `void` | `setUpperRightY(double upperRightY)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoundsMap

          public BoundsMap()

    - #### BoundsMap

          public BoundsMap(double lowerLeftX,
                   double lowerLeftY,
                   double upperRightX,
                   double upperRightY,
                   String crs)

  - ### Method Detail

    - #### getLowerLeftX

          public double getLowerLeftX()

    - #### setLowerLeftX

          public void setLowerLeftX(double lowerLeftX)

    - #### getLowerLeftY

          public double getLowerLeftY()

    - #### setLowerLeftY

          public void setLowerLeftY(double lowerLeftY)

    - #### getUpperRightX

          public double getUpperRightX()

    - #### setUpperRightX

          public void setUpperRightX(double upperRightX)

    - #### getUpperRightY

          public double getUpperRightY()

    - #### setUpperRightY

          public void setUpperRightY(double upperRightY)

    - #### getCrs

          public String getCrs()

    - #### setCrs

          public void setCrs(String crs)

Copyright © 2014. All Rights Reserved.